class FlyweightMain {
    public static void main(String[] args) {
        System.out.println("Wzorzec Pyłek, współdzielenie szablonów");
        Vehicle car1 = VehicleGarage.borrow("sportowy");
        car1.confirm();
        Vehicle car2 = VehicleGarage.borrow("sportowy");
        System.out.println("Podobny szablon: " + (car1.equals(car2)));
    }
}
